Module java.base
Package java.util

## Class MissingFormatWidthException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.util.IllegalFormatException
          - - java.util.MissingFormatWidthException

All Implemented Interfaces:
  `Serializable`

    public class MissingFormatWidthException
    extends IllegalFormatException

Unchecked exception thrown when the format width is required.

Unless otherwise specified, passing a `null` argument to any method or constructor in this class will cause a `NullPointerException` to be thrown.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
`MissingFormatWidthException​(String s)` Constructs an instance of this class with the specified format specifier.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFormatSpecifier()` Returns the format specifier which does not have a width.

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MissingFormatWidthException

    public MissingFormatWidthException​(String s)

Constructs an instance of this class with the specified format specifier.

Parameters:
  `s` - The format specifier which does not have a width

### Method Detail

#### getFormatSpecifier

    public String getFormatSpecifier()

Returns the format specifier which does not have a width.

Returns:
  The format specifier which does not have a width